# cartotool-cartotool_dev
Cartotool api project for using the cartotool.com application with Python scripts

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.4
- Package version: 1.0.6
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [http://cartotool.com](http://cartotool.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import cartotool
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import cartotool
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import cartotool
from cartotool.rest import ApiException
from pprint import pprint

configuration = cartotool.Configuration()
# Configure API key authorization: ApiKeyAuth
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# Defining host is optional and default to http://cartotool.com
configuration.host = "http://cartotool.com"

# Defining host is optional and default to http://cartotool.com
configuration.host = "http://cartotool.com"
# Enter a context with an instance of the API client
with cartotool.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = cartotool.DataCellControllerApi(api_client)
    code = 'code_example' # str | 
data_cell_form = [cartotool.DataCellForm()] # list[DataCellForm] | 

    try:
        api_response = api_instance.create_data_cell_data(code, data_cell_form)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DataCellControllerApi->create_data_cell_data: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://cartotool.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DataCellControllerApi* | [**create_data_cell_data**](docs/DataCellControllerApi.md#create_data_cell_data) | **POST** /api/collections/{code}/data | 
*DataCellControllerApi* | [**get_data_cell_field**](docs/DataCellControllerApi.md#get_data_cell_field) | **GET** /api/collections/{code}/data/{row}/{col} | 
*DataCellControllerApi* | [**get_data_cell_row**](docs/DataCellControllerApi.md#get_data_cell_row) | **GET** /api/collections/{code}/data/{row} | 
*DataCellControllerApi* | [**get_data_cell_table**](docs/DataCellControllerApi.md#get_data_cell_table) | **GET** /api/collections/{code}/data | 
*DataCollectionControllerApi* | [**create_data_collection_collection**](docs/DataCollectionControllerApi.md#create_data_collection_collection) | **POST** /api/collections | 
*DataCollectionControllerApi* | [**delete_data_collection_by_code**](docs/DataCollectionControllerApi.md#delete_data_collection_by_code) | **DELETE** /api/collections/{code} | 
*DataCollectionControllerApi* | [**find_all_data_collections**](docs/DataCollectionControllerApi.md#find_all_data_collections) | **GET** /api/collections | 
*DataCollectionControllerApi* | [**find_data_collection_by_code**](docs/DataCollectionControllerApi.md#find_data_collection_by_code) | **GET** /api/collections/{code} | 
*DataCollectionControllerApi* | [**find_data_collection_layers_by_code**](docs/DataCollectionControllerApi.md#find_data_collection_layers_by_code) | **GET** /api/collections/{code}/layers | 
*DataTileControllerApi* | [**get_data_tile**](docs/DataTileControllerApi.md#get_data_tile) | **GET** /api/collections/{code}/tile/{z}/{x}/{y} | 
*IconControllerApi* | [**find_all_icons**](docs/IconControllerApi.md#find_all_icons) | **GET** /api/icons | 
*IconControllerApi* | [**find_all_icons_by_key**](docs/IconControllerApi.md#find_all_icons_by_key) | **GET** /api/icons/{key}.svg | 
*LayerBitmapControllerApi* | [**get_layer_bitmap_tiles**](docs/LayerBitmapControllerApi.md#get_layer_bitmap_tiles) | **GET** /api/layers-bitmap/{code}/tiles/{z}/{x}/{y} | 
*LayerBitmapControllerApi* | [**post_layer_bitmap**](docs/LayerBitmapControllerApi.md#post_layer_bitmap) | **POST** /api/layers-bitmap | 
*LayerBitmapControllerApi* | [**put_layer_bitmap**](docs/LayerBitmapControllerApi.md#put_layer_bitmap) | **PUT** /api/layers-bitmap/{code} | 
*LayerBitmapControllerApi* | [**upload_layer_bitmap_chunk**](docs/LayerBitmapControllerApi.md#upload_layer_bitmap_chunk) | **POST** /api/layers-bitmap/{code}/chunk | 
*LayerBitmapControllerApi* | [**upload_layer_bitmap_complete**](docs/LayerBitmapControllerApi.md#upload_layer_bitmap_complete) | **POST** /api/layers-bitmap/{code}/complete | 
*LayerControllerApi* | [**delete_layer**](docs/LayerControllerApi.md#delete_layer) | **DELETE** /api/layers/{code} | 
*LayerControllerApi* | [**find_all_layers**](docs/LayerControllerApi.md#find_all_layers) | **GET** /api/layers | 
*LayerControllerApi* | [**find_layer_by_code**](docs/LayerControllerApi.md#find_layer_by_code) | **GET** /api/layers/{code} | 
*LayerControllerApi* | [**move_layer**](docs/LayerControllerApi.md#move_layer) | **POST** /api/layers/{code}/move | 
*LayerGroupControllerApi* | [**delete_layer_group**](docs/LayerGroupControllerApi.md#delete_layer_group) | **DELETE** /api/layer-groups/{id} | 
*LayerGroupControllerApi* | [**find_all_layer_groups**](docs/LayerGroupControllerApi.md#find_all_layer_groups) | **GET** /api/layer-groups | 
*LayerGroupControllerApi* | [**post_layer_group**](docs/LayerGroupControllerApi.md#post_layer_group) | **POST** /api/layer-groups | 
*LayerGroupControllerApi* | [**put_layer_group**](docs/LayerGroupControllerApi.md#put_layer_group) | **PUT** /api/layer-groups/{id} | 
*LayerLinkedControllerApi* | [**post_layer_linked**](docs/LayerLinkedControllerApi.md#post_layer_linked) | **POST** /api/layers-linked | 
*LayerLinkedControllerApi* | [**put_layer_linked**](docs/LayerLinkedControllerApi.md#put_layer_linked) | **PUT** /api/layers-linked/{code} | 
*LayerTmsControllerApi* | [**post_layer_tms**](docs/LayerTmsControllerApi.md#post_layer_tms) | **POST** /api/layers-tms | 
*LayerTmsControllerApi* | [**put_layer_tms**](docs/LayerTmsControllerApi.md#put_layer_tms) | **PUT** /api/layers-tms/{code} | 
*LayerVectorControllerApi* | [**post_layer_vector**](docs/LayerVectorControllerApi.md#post_layer_vector) | **POST** /api/layers-vector | 
*LayerVectorControllerApi* | [**put_layer_vector**](docs/LayerVectorControllerApi.md#put_layer_vector) | **PUT** /api/layers-vector/{code} | 
*LayerWmsControllerApi* | [**post_layer_wms**](docs/LayerWmsControllerApi.md#post_layer_wms) | **POST** /api/layers-wms | 
*LayerWmsControllerApi* | [**put_layer_wms**](docs/LayerWmsControllerApi.md#put_layer_wms) | **PUT** /api/layers-wms/{code} | 
*MapControllerApi* | [**find_all_maps**](docs/MapControllerApi.md#find_all_maps) | **GET** /api/map/layers | 
*MapControllerApi* | [**find_map_by_code**](docs/MapControllerApi.md#find_map_by_code) | **GET** /api/map/layers/{code} | 
*ProjectControllerApi* | [**delete_project**](docs/ProjectControllerApi.md#delete_project) | **DELETE** /api/projects/{projectCode} | 
*ProjectControllerApi* | [**get_project**](docs/ProjectControllerApi.md#get_project) | **GET** /api/projects/{projectCode} | 
*ProjectControllerApi* | [**get_projects**](docs/ProjectControllerApi.md#get_projects) | **GET** /api/projects | 
*ProjectControllerApi* | [**post_projects**](docs/ProjectControllerApi.md#post_projects) | **POST** /api/projects | 
*ProjectControllerApi* | [**update_project**](docs/ProjectControllerApi.md#update_project) | **PUT** /api/projects/{projectCode} | 
*StoryControllerApi* | [**delete_story**](docs/StoryControllerApi.md#delete_story) | **DELETE** /api/stories/{storyCode} | 
*StoryControllerApi* | [**find_all_stories**](docs/StoryControllerApi.md#find_all_stories) | **GET** /api/stories | 
*StoryControllerApi* | [**get_story**](docs/StoryControllerApi.md#get_story) | **GET** /api/stories/{storyCode} | 
*StoryControllerApi* | [**post_story**](docs/StoryControllerApi.md#post_story) | **POST** /api/stories | 
*StoryControllerApi* | [**put_story**](docs/StoryControllerApi.md#put_story) | **PUT** /api/stories/{storyCode} | 
*UserAccountControllerApi* | [**find_all_accounts**](docs/UserAccountControllerApi.md#find_all_accounts) | **GET** /api/user-accounts | 
*UserAccountControllerApi* | [**generate_key**](docs/UserAccountControllerApi.md#generate_key) | **POST** /api/user-accounts/generate-key | 
*UserAccountControllerApi* | [**reset_password_with_reset_code**](docs/UserAccountControllerApi.md#reset_password_with_reset_code) | **PUT** /api/user-accounts/reset-password | 
*UserAccountControllerApi* | [**revoke_account_key**](docs/UserAccountControllerApi.md#revoke_account_key) | **POST** /api/user-accounts/revoke-key | 
*UserAccountControllerApi* | [**update_key**](docs/UserAccountControllerApi.md#update_key) | **PUT** /api/user-accounts/update-key | 
*UserAuthorityControllerApi* | [**find_me_user_authority**](docs/UserAuthorityControllerApi.md#find_me_user_authority) | **GET** /api/authorities | 
*UserControllerApi* | [**create_user**](docs/UserControllerApi.md#create_user) | **POST** /api/users | 
*UserControllerApi* | [**delete_user**](docs/UserControllerApi.md#delete_user) | **DELETE** /api/users/{code} | 
*UserControllerApi* | [**find_all_users**](docs/UserControllerApi.md#find_all_users) | **GET** /api/users | 
*UserControllerApi* | [**find_all_users_by_codes**](docs/UserControllerApi.md#find_all_users_by_codes) | **POST** /api/users/search | 
*UserControllerApi* | [**find_me_user**](docs/UserControllerApi.md#find_me_user) | **GET** /api/users/me | 
*UserControllerApi* | [**find_me_user_accounts**](docs/UserControllerApi.md#find_me_user_accounts) | **GET** /api/users/me/accounts | 
*UserControllerApi* | [**find_user_by_id**](docs/UserControllerApi.md#find_user_by_id) | **GET** /api/users/{code} | 
*UserControllerApi* | [**generate_user_reset_code**](docs/UserControllerApi.md#generate_user_reset_code) | **PUT** /api/users/reset-password | 
*UserControllerApi* | [**generate_user_reset_code_for_user_code**](docs/UserControllerApi.md#generate_user_reset_code_for_user_code) | **PUT** /api/users/{code}/reset-password | 
*UserControllerApi* | [**update_user**](docs/UserControllerApi.md#update_user) | **PUT** /api/users/{code} | 
*UserGroupControllerApi* | [**create_user_group**](docs/UserGroupControllerApi.md#create_user_group) | **POST** /api/user-groups | 
*UserGroupControllerApi* | [**delete_user_group**](docs/UserGroupControllerApi.md#delete_user_group) | **DELETE** /api/user-groups/{code} | 
*UserGroupControllerApi* | [**find_all_user_groups**](docs/UserGroupControllerApi.md#find_all_user_groups) | **GET** /api/user-groups | 
*UserGroupControllerApi* | [**find_user_group_by_id**](docs/UserGroupControllerApi.md#find_user_group_by_id) | **GET** /api/user-groups/{code} | 
*UserGroupControllerApi* | [**update_user_group**](docs/UserGroupControllerApi.md#update_user_group) | **PUT** /api/user-groups/{code} | 
*UserStatusControllerApi* | [**index**](docs/UserStatusControllerApi.md#index) | **GET** /login/status | 
*WorkspaceControllerApi* | [**delete_workspace**](docs/WorkspaceControllerApi.md#delete_workspace) | **DELETE** /api/workspaces/{code} | 
*WorkspaceControllerApi* | [**delete_workspace_user**](docs/WorkspaceControllerApi.md#delete_workspace_user) | **DELETE** /api/workspaces/{workspaceCode}/users/{userCode} | 
*WorkspaceControllerApi* | [**get_all_workspaces**](docs/WorkspaceControllerApi.md#get_all_workspaces) | **GET** /api/workspaces | 
*WorkspaceControllerApi* | [**get_workspace**](docs/WorkspaceControllerApi.md#get_workspace) | **GET** /api/workspaces/{code} | 
*WorkspaceControllerApi* | [**get_workspace_projects**](docs/WorkspaceControllerApi.md#get_workspace_projects) | **GET** /api/workspaces/{code}/projects | 
*WorkspaceControllerApi* | [**get_workspace_users**](docs/WorkspaceControllerApi.md#get_workspace_users) | **GET** /api/workspaces/{code}/users | 
*WorkspaceControllerApi* | [**post_workspace**](docs/WorkspaceControllerApi.md#post_workspace) | **POST** /api/workspaces | 
*WorkspaceControllerApi* | [**post_workspace_user**](docs/WorkspaceControllerApi.md#post_workspace_user) | **POST** /api/workspaces/{workspaceCode}/users | 


## Documentation For Models

 - [DataCellForm](docs/DataCellForm.md)
 - [DataCollection](docs/DataCollection.md)
 - [DataCollectionForm](docs/DataCollectionForm.md)
 - [DataCollectionGeometry](docs/DataCollectionGeometry.md)
 - [InlineObject](docs/InlineObject.md)
 - [KeyRevokeForm](docs/KeyRevokeForm.md)
 - [Layer](docs/Layer.md)
 - [LayerBitmap](docs/LayerBitmap.md)
 - [LayerBitmapForm](docs/LayerBitmapForm.md)
 - [LayerDashboard](docs/LayerDashboard.md)
 - [LayerGroup](docs/LayerGroup.md)
 - [LayerGroupForm](docs/LayerGroupForm.md)
 - [LayerLinkedForm](docs/LayerLinkedForm.md)
 - [LayerMoveForm](docs/LayerMoveForm.md)
 - [LayerStylePoint](docs/LayerStylePoint.md)
 - [LayerStylePolygon](docs/LayerStylePolygon.md)
 - [LayerTMSForm](docs/LayerTMSForm.md)
 - [LayerVectorForm](docs/LayerVectorForm.md)
 - [LayerWmsForm](docs/LayerWmsForm.md)
 - [LayerWrapper](docs/LayerWrapper.md)
 - [Pageable](docs/Pageable.md)
 - [PasswordResetForm](docs/PasswordResetForm.md)
 - [Project](docs/Project.md)
 - [ProjectForm](docs/ProjectForm.md)
 - [ProjectImage](docs/ProjectImage.md)
 - [RequestPasswordReset](docs/RequestPasswordReset.md)
 - [Status](docs/Status.md)
 - [Story](docs/Story.md)
 - [StoryForm](docs/StoryForm.md)
 - [User](docs/User.md)
 - [UserAccount](docs/UserAccount.md)
 - [UserAccountKey](docs/UserAccountKey.md)
 - [UserAccountKeyAllOf](docs/UserAccountKeyAllOf.md)
 - [UserForm](docs/UserForm.md)
 - [UserGroup](docs/UserGroup.md)
 - [UserGroupForm](docs/UserGroupForm.md)
 - [UserKeyForm](docs/UserKeyForm.md)
 - [Workspace](docs/Workspace.md)
 - [WorkspaceForm](docs/WorkspaceForm.md)
 - [WorkspaceUser](docs/WorkspaceUser.md)
 - [WorkspaceUserForm](docs/WorkspaceUserForm.md)


## Documentation For Authorization


## ApiKeyAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

info@cartotool.com


